Package org.drinkless.tdlib

# Class TdApi.GiftUpgradeVariants

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftUpgradeVariants

Enclosing class:
  `TdApi`

public static class TdApi.GiftUpgradeVariants extends TdApi.Object
Contains all possible variants of upgraded gifts for the given regular gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftBackdrop[]`
  `backdrops`
  Backdrops that can be chosen for the gift after upgrade.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UpgradedGiftModel[]`
  `models`
  Models that can be chosen for the gift after upgrade.
  `TdApi.UpgradedGiftSymbol[]`
  `symbols`
  Symbols that can be chosen for the gift after upgrade.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftUpgradeVariants()`
  Contains all possible variants of upgraded gifts for the given regular gift.
  `GiftUpgradeVariants(TdApi.UpgradedGiftModel[] models, TdApi.UpgradedGiftSymbol[] symbols, TdApi.UpgradedGiftBackdrop[] backdrops)`
  Contains all possible variants of upgraded gifts for the given regular gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### models

    public TdApi.UpgradedGiftModel[] models
    Models that can be chosen for the gift after upgrade.

  - ### symbols

    public TdApi.UpgradedGiftSymbol[] symbols
    Symbols that can be chosen for the gift after upgrade.

  - ### backdrops

    public TdApi.UpgradedGiftBackdrop[] backdrops
    Backdrops that can be chosen for the gift after upgrade.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftUpgradeVariants

    public GiftUpgradeVariants()
    Contains all possible variants of upgraded gifts for the given regular gift.

  - ### GiftUpgradeVariants

    public GiftUpgradeVariants(TdApi.UpgradedGiftModel[] models, TdApi.UpgradedGiftSymbol[] symbols, TdApi.UpgradedGiftBackdrop[] backdrops)
    Contains all possible variants of upgraded gifts for the given regular gift.
    Parameters:
      `models` - Models that can be chosen for the gift after upgrade.
      `symbols` - Symbols that can be chosen for the gift after upgrade.
      `backdrops` - Backdrops that can be chosen for the gift after upgrade.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR